{% block presentation_list %}
    <sw-page class="presentation-list">
        {% block presentation_list_search_bar %}
            <template #search-bar>
                <sw-search-bar initialSearchType="guided_shopping_presentation"
                               :placeholder="$tc('swag-guided-shopping-presentation.admin.placeholderSearchBarSnippets')"
                               :initialSearch="term"
                               @search="onSearch">
                </sw-search-bar>
            </template>
        {% endblock %}

        <template #smart-bar-actions>
            <sw-button :routerLink="{ name: 'swag.guided.shopping.presentation.create' }" variant="primary" :disabled="!acl.can('guided_shopping_presentation.creator')">
                {{ $tc('swag-guided-shopping-presentation.admin.buttons.new') }}
            </sw-button>
        </template>

        <template #language-switch>
            <sw-language-switch @on-change="onChangeLanguage"></sw-language-switch>
        </template>

        <template #content>
            {% block presentation_list_content %}
                <sw-entity-listing
                        v-if="presentations"
                        :items="presentations"
                        :repository="presentationRepository"
                        :columns="columns"
                        detailRoute="swag.guided.shopping.presentation.detail"
                        :allow-inline-edit="acl.can('guided_shopping_presentation.editor')"
                        :allow-edit="acl.can('guided_shopping_presentation.editor')"
                        :allow-delete="acl.can('guided_shopping_presentation.deleter')">

                    {% block presentation_list_columns %}
                        <template #column-countEndedAppointments="{ item }">
                            {{ item.appointments.length }}
                        </template>
                        <template #column-createdAt="{ item }">
                            {{ item.createdAt| date({hour: '2-digit', minute: '2-digit'})  }}
                        </template>
                        <template #column-createdBy="{ item }">
                            {{ getUserName(item.createdBy)  }}
                        </template>
                        <template #column-updatedAt="{ item }">
                            {{ item.updatedAt| date({hour: '2-digit', minute: '2-digit'})  }}
                        </template>
                        <template #column-updatedBy="{ item }">
                            {{ getUserName(item.updatedBy)  }}
                        </template>
                    {% endblock %}

                    {% block presentation_list_grid_columns_actions %}
                    <template #actions="{ item }">
                        {% block presentation_list_grid_columns_actions_edit %}
                            <sw-context-menu-item
                                :disabled="!acl.can('guided_shopping_presentation.editor')"
                                :router-link="{ name: 'swag.guided.shopping.presentation.detail.base', params: { id: item.id }, query: { edit: true } }"
                            >
                                {{ $tc('swag-guided-shopping-presentation.admin.buttons.edit') }}
                            </sw-context-menu-item>
                        {% endblock %}

                        {% block presentation_list_grid_columns_actions_duplicate %}
                            <sw-context-menu-item
                                :disabled="!acl.can('guided_shopping_presentation.editor')"
                                @click="onDuplicatePresentation(item)"
                            >
                                {{ $tc('swag-guided-shopping-presentation.admin.duplicatePresentation') }}
                            </sw-context-menu-item>
                        {% endblock %}

                        {% block presentation_list_grid_columns_actions_delete %}
                            <sw-context-menu-item
                                class="sw-customer-list__delete-action"
                                :disabled="!acl.can('guided_shopping_presentation.editor')"
                                variant="danger"
                                @click="onDelete(item.id)"
                            >
                                {{ $tc('global.default.delete') }}
                            </sw-context-menu-item>
                        {% endblock %}
                    </template>
                    {% endblock %}

                    {% block presentation_list_grid_action_modals %}
                    <template #action-modals="{ item }">
                        {% block presentation_list_delete_modal %}
                        <sw-modal
                            v-if="showDeleteModal === item.id"
                            :title="$tc('global.default.warning')"
                            variant="small"
                            @modal-close="onCloseDeleteModal"
                        >
                            {% block presentation_list_delete_modal_confirm_delete_text %}
                            <p>
                                <template v-if="item.name">
                                    {{ $tc('swag-guided-shopping-presentation.modal.textDeleteConfirm', 0, { name: `${item.name}` }) }}
                                </template>
                                <template v-else>
                                    {{ $tc('swag-guided-shopping-presentation.modal.textDeleteConfirmWithoutLanguageTranslation') }}
                                </template>
                            </p>
                            {% endblock %}

                            {% block presentation_list_delete_modal_footer %}
                            <template #modal-footer>
                                {% block presentation_list_delete_modal_cancel %}
                                <sw-button
                                    size="small"
                                    @click="onCloseDeleteModal"
                                >
                                    {{ $tc('swag-guided-shopping-presentation.admin.buttons.cancel') }}
                                </sw-button>
                                {% endblock %}

                                {% block presentation_list_delete_modal_confirm %}
                                <sw-button
                                    variant="danger"
                                    size="small"
                                    @click="onConfirmDelete(item.id)"
                                >
                                    {{ $tc('swag-guided-shopping-presentation.admin.buttons.delete') }}
                                </sw-button>
                                {% endblock %}
                            </template>
                            {% endblock %}
                        </sw-modal>
                        {% endblock %}
                    </template>
                    {% endblock %}
                </sw-entity-listing>
            {% endblock %}
        </template>
    </sw-page>
{% endblock %}
